Bug 1655752 - [abrt] sysprof: g_weak_ref_set(): sysprof killed by SIGABRT
Summary: [abrt] sysprof: g_weak_ref_set(): sysprof killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: sysprof
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gianluca Sforna
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cc3e1d3c0204fde0159bf6b671e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-03 20:19 UTC by Clemens Eisserer
Modified: 2019-11-27 20:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:13:18 UTC


Attachments (Terms of Use)
File: backtrace (23.44 KB, text/plain)
2018-12-03 20:19 UTC, Clemens Eisserer
no flags Details
File: cgroup (341 bytes, text/plain)
2018-12-03 20:19 UTC, Clemens Eisserer
no flags Details
File: core_backtrace (11.56 KB, text/plain)
2018-12-03 20:19 UTC, Clemens Eisserer
no flags Details
File: cpuinfo (1.29 KB, text/plain)
2018-12-03 20:19 UTC, Clemens Eisserer
no flags Details
File: dso_list (8.87 KB, text/plain)
2018-12-03 20:19 UTC, Clemens Eisserer
no flags Details
File: environ (3.92 KB, text/plain)
2018-12-03 20:19 UTC, Clemens Eisserer
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-03 20:19 UTC, Clemens Eisserer
no flags Details
File: maps (54.45 KB, text/plain)
2018-12-03 20:19 UTC, Clemens Eisserer
no flags Details
File: mountinfo (3.75 KB, text/plain)
2018-12-03 20:19 UTC, Clemens Eisserer
no flags Details
File: open_fds (589 bytes, text/plain)
2018-12-03 20:19 UTC, Clemens Eisserer
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-12-03 20:19 UTC, Clemens Eisserer
no flags Details

Description Clemens Eisserer 2018-12-03 20:19:18 UTC
Description of problem:
crash directly after start when de-maximizing window by double-clicking on the "title bar" of the sysprof window.
This bug ois long-standing.

Version-Release number of selected component:
sysprof-3.30.2-1.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        sysprof
crash_function: g_weak_ref_set
executable:     /usr/bin/sysprof
journald_cursor: s=7a12c76fd1c54ed0aaa9a7a11715746b;i=2417d;b=84bb7e4e79954b358e62f061a9e028e0;m=868a28db;t=57c23cde91c90;x=49751ad0c52e3702
kernel:         4.19.5-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Potential duplicate: bug 1585377

Comment 1 Clemens Eisserer 2018-12-03 20:19:24 UTC
Created attachment 1511080 [details]
File: backtrace

Comment 2 Clemens Eisserer 2018-12-03 20:19:25 UTC
Created attachment 1511081 [details]
File: cgroup

Comment 3 Clemens Eisserer 2018-12-03 20:19:28 UTC
Created attachment 1511082 [details]
File: core_backtrace

Comment 4 Clemens Eisserer 2018-12-03 20:19:29 UTC
Created attachment 1511083 [details]
File: cpuinfo

Comment 5 Clemens Eisserer 2018-12-03 20:19:31 UTC
Created attachment 1511084 [details]
File: dso_list

Comment 6 Clemens Eisserer 2018-12-03 20:19:32 UTC
Created attachment 1511085 [details]
File: environ

Comment 7 Clemens Eisserer 2018-12-03 20:19:33 UTC
Created attachment 1511086 [details]
File: limits

Comment 8 Clemens Eisserer 2018-12-03 20:19:36 UTC
Created attachment 1511087 [details]
File: maps

Comment 9 Clemens Eisserer 2018-12-03 20:19:38 UTC
Created attachment 1511088 [details]
File: mountinfo

Comment 10 Clemens Eisserer 2018-12-03 20:19:39 UTC
Created attachment 1511089 [details]
File: open_fds

Comment 11 Clemens Eisserer 2018-12-03 20:19:41 UTC
Created attachment 1511090 [details]
File: proc_pid_status

Comment 12 Ben Cotton 2019-10-31 20:22:36 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Ben Cotton 2019-11-27 20:13:18 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.